AppinfoDocument.Appinfo (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface AppinfoDocument.Appinfo

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    AppinfoDocumentImpl.AppinfoImpl
  Enclosing interface:
    AppinfoDocument

      public static interface AppinfoDocument.Appinfo
      extends XmlObject

  An XML appinfo(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementFactory<AppinfoDocument.Appinfo>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSource()` Gets the "source" attribute
    `boolean` | `isSetSource()` True if has "source" attribute
    `void` | `setSource(String source)` Sets the "source" attribute
    `void` | `unsetSource()` Unsets the "source" attribute
    `XmlAnyURI` | `xgetSource()` Gets (as xml) the "source" attribute
    `void` | `xsetSource(XmlAnyURI source)` Sets (as xml) the "source" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<AppinfoDocument.Appinfo> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSource

          String getSource()

      Gets the "source" attribute

    - #### xgetSource

          XmlAnyURI xgetSource()

      Gets (as xml) the "source" attribute

    - #### isSetSource

          boolean isSetSource()

      True if has "source" attribute

    - #### setSource

          void setSource(String source)

      Sets the "source" attribute

    - #### xsetSource

          void xsetSource(XmlAnyURI source)

      Sets (as xml) the "source" attribute

    - #### unsetSource

          void unsetSource()

      Unsets the "source" attribute